org.appng.xml.platform

## Class TextElement.Xml

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.TextElement.Xml

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    TextElement

      public static class TextElement.Xml
      extends BaseObject
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any processContents='skip' namespace='##other' minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Xml()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getContent()` Gets the value of the content property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<Object> content

  - ### Constructor Detail

    - #### Xml

          public Xml()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `String` `Element`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.